%define major   5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           qvr
Version:        4.1.0
Release:        %mkrel 1
Summary:        QT library for VR applications
Group:          System/Libraries
License:        MIT
URL:            https://marlam.de/qvr
Source0:        %{url}/releases/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/%{name}-%{version}.tar.gz.sig

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  texlive-dist

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  openvr-devel
BuildRequires:  vrpn-devel

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Widgets)

%description
QVR is a library that makes writing Virtual Reality (VR) applications very
easy. It is based on Qt and requires no other libraries.

%package -n %{libname}
Summary:        QT library for VR applications
Group:          System/Libraries

%description -n %{libname}
QVR is a library that makes writing Virtual Reality (VR) applications very
easy. It is based on Qt and requires no other libraries.

%package -n %{devname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package provides development headers and libraries for %{name}.

%package        doc
Summary:        Additional documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description    doc
This package provides additional documentation for %{name}.

%prep
%autosetup -p1

%build
# Build docs
pushd doc/intro-slides
%make_build
popd

pushd libqvr
%cmake -DQVR_BUILD_DOCUMENTATION=ON
%cmake_build
popd

%install
pushd libqvr
%cmake_install

%check
pushd libqvr
%ctest

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/QVR-%{version}/

%files doc
%doc doc/intro-slides/%{name}.pdf
%doc %{_docdir}/libqvr/


%changelog
* Sun Mar 23 2025 daviddavid <daviddavid> 4.1.0-1.mga10
+ Revision: 2169084
- new version: 4.1.0
- now libmajor is 5

* Mon Jun 03 2024 daviddavid <daviddavid> 4.0.2-1.mga10
+ Revision: 2069515
- new version: 4.0.2

* Thu Apr 18 2024 daviddavid <daviddavid> 4.0.1-2.mga10
+ Revision: 2058457
- rebuild for new openvr 2.5.1

* Mon Feb 12 2024 daviddavid <daviddavid> 4.0.1-1.mga10
+ Revision: 2040457
- initial package qvr (needed for bino)

